Skip to main content
Resource Center/Elastic Bare Metal Management(Plus)
GETElastic Bare Metal Management(Plus)Since 4.7.11SynchronousAuth Required

GetAccessPath

GetAccessPath

Execution Availability

Try It Out

Submit a mock request using the current auth context and example-driven inputs.

Query Parameters

Request Inputs

Query Parameters

  • systemTagsList

    Optional. The system tags.

  • userTagsList

    Optional. The user tags.

  • primaryStorageUuidStringRequired

    The primary storage UUID.

Responses

200 OK

On success, this API returns the following response structure.

  • successbooleanRequired

    操作是否成功。

  • inventoryVolumeInventoryRequired

    See pathInfos.

  • errorErrorCodeRequired

    The error code. If not null, the operation fails, or vice versa. For more information, see error.

    • codeStringRequired

      The error code, which is a numbered or alphanumeric code that specifies an error. For example, SYS.1000, HOST.1001.

    • descriptionStringRequired

      The brief description of the error.

    • detailsStringRequired

      The details about the error.

    • elaborationStringRequired

      The reserved field. Default value: null.

    • opaqueLinkedHashMapRequired

      The reserved field. Default value: null.

    • causeErrorCodeRequired

      The root error, which is the associated root cause of the current error. If no root error exists, this parameter is null.

Endpoint

GET/zstack/v1/block-volumes/access/path/

/zstack/v1/block-volumes/access/path/

Operation ID

GetAccessPath

Permalink

Request Example

curl -X GET 'http://{host}/zstack/v1/block-volumes/access/path/?systemTags=<systemTags>&userTags=<userTags>&primaryStorageUuid=<primaryStorageUuid>' -H 'Authorization: OAuth {sessionUuid}'

Response Example

200
{ "pathInfos": [ { "accessPathId": 1, "accessPathIqn": "iqn", "targetCount": 1 } ] }

Change History

This API has no change history records yet.

View all change history